package rmi_rabbit_herd;

/**
 * Title:        Remote animal
 * Description:  A test of remote animal herd
 * Copyright:    Copyright (c) 2001
 * Company:      PWr
 * @author SLK
 * @version 1.0
 */

import java.rmi.Remote;
import java.rmi.RemoteException;

interface animal extends java.rmi.Remote
{
   /** These methods provide a basic activities of a creature
    *  and correspond with the creature's states
    */
   public void run() throws Exception;
   public void eat() throws Exception;
   public void bear() throws Exception;
   public boolean alive() throws Exception;

   public String status() throws Exception;
   /** Interface of animal contains only a generic method
    *  'be()'
    */
   public void be() throws Exception;
   /*  One should observe that we need to declare the method with the most general
       exception class to allow any specializations.
    */
}