package rmi_rabbit_herd;

/**
 * Title:        Remote rabbits
 * Description:  A test of remote rabbits herd
 * Copyright:    Copyright (c) 2001
 * Company:      PWr
 * @author SLK
 * @version 1.0
 */

import java.rmi.RemoteException;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;

public class RMI_animal_client
{
   public static void main(String[] args)
   {
      System.setSecurityManager(new RMISecurityManager());

      try
      {
         String server_name = args[0];
         if(server_name == "")
         {
            throw new Exception("Input host address next time, please");
         }

         String object_name = "//" + server_name + "/Animal";
         animal my_animal = (animal) Naming.lookup(object_name);

         while(my_animal.alive())
         {
            my_animal.be();
            System.out.println(my_animal.status());
         }

         my_animal = null;
      }
      catch(Exception e)
      {
         System.out.println("EXCEPTION OCCURED: " + e);
         System.exit(0);
      }
   }
}